Subject: [Tools-discuss] FW: bug report on IETF and RFC Editor RFC directory sync

From: Jari Arkko <[email-masked]>
Date: Fri, 23 Dec 2005 14:11:24 +0200

(Forwarding a bug report in case this interests more people.
I've already sent it to the rfc-editor and ietf-action.)

----

I happened to notice that the IETF RFC directory (ftp://ftp.ietf.org/rfc)
and the RFC Editor's corresponding directory
(ftp://ftp.rfc-editor.org/in-notes)
have subtle differences. These differences look like bugs, and can be
potentially confusing to people who access the information, so I'm hoping
they get sorted out...

Here's what I did: I downloaded the "dir" listings from both locations
(see logi.txt for a log of what I did). I then took the two lists and
converted them to a form suitable for comparisons (see ietfrfclist.txt
and rfcedrfclist.txt). Here are the differences that I found:

1. IETF site has BOTH rfc0NNN and rfcNNN files (same for 00NN and
     000N). Its annoying if you attempt to download these files, because
     you get multiple copies. But it could also be because you wanted
     to offer both, if people have URLs pointing to them. But if so,
     the rfc0* list is incomplete. Its missing all .pdfs and .pses, and
     start from RFC 101 there are many RFCs that are NOT offered
     in the rfc0NNN form. In fact, there are only 549 such RFCs, whereas
     in the RFC editor site there are 931 RFCs under < 1000.

2. IETF directory has "~" files that should be removed:
       rfc3411.txt~
       rfc3927.txt~

3. What's this in the IETF directory? Typo?
       rfy707.tex

4. The IETF site is missing .pdf and .ps files for some
     RFCs that have them in the RFC Editor site. (And
     this does not appear to be because we'd have a
     policy against PDF as there are some other .pdf
     files at the IETF site).

     < rfc  12.pdf
     < rfc  12.ps
     < rfc 145.pdf
     < rfc 145.ps
     < rfc 338.pdf
     < rfc 338.ps
     < rfc 432.pdf
     < rfc 432.ps
     < rfc 525.pdf
     < rfc 525.ps
     < rfc 546.pdf
     < rfc 546.ps
     < rfc 570.pdf
     < rfc 570.ps
     < rfc1119.pdf
     < rfc1124.pdf
     < rfc1125.pdf
     < rfc1128.pdf
     < rfc1129.pdf
     < rfc1142.pdf
     < rfc1144.pdf
     < rfc1147.pdf
     < rfc1168.pdf
     < rfc1195.pdf
     < rfc1237.pdf
     < rfc1241.pdf
     < rfc1245.pdf
     < rfc1246.pdf
     < rfc1247.pdf
     < rfc1275.pdf
     < rfc1279.pdf
     < rfc1341.pdf
     < rfc1343.pdf
     < rfc1344.pdf
     < rfc1347.pdf
     < rfc1384.pdf
     < rfc1434.pdf
     < rfc1521.pdf
     < rfc1563.pdf
     < rfc1583.pdf
     < rfc1584.pdf
     < rfc1633.pdf
     < rfc1641.pdf
     < rfc1642.pdf
     < rfc1709.pdf
     < rfc1714.pdf
     < rfc1950.pdf
     < rfc1951.pdf
     < rfc1952.pdf
     < rfc2490.pdf
     < rfc2616.pdf
     < rfc2636.pdf
     < rfc2638.pdf
     < rfc3312.pdf
     < rfc3312.ps
     < rfc3550.pdf
     < rfc3550.ps
     < rfc3551.pdf
     < rfc3551.ps
     < rfc3875.pdf
     < rfc4128.pdf
     < rfc4137.pdf

5. The RFC Editor site is missing these .ps files that
     are on the IETF site. (Or are these the contents of
     the rfc1305.tar file? I did not check.)

  > rfc1305a.ps
  > rfc1305b.ps
  > rfc1305c.ps

--Jari

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss